<template>
  <div class="wrapper">
    <div class="content">
      <h3>{{_('Добро пожаловать!')}}</h3>
      <span class="sm">{{_('Авторизуйтесь и получите полный доступ к функционалу сайта')}}</span>
      <b-container>
        <LoginForm />
      </b-container>
      <div class="separator"></div>
      <span class="sm">{{_('Войти на сайт без ввода пароля')}}</span>
      <b-button class="sm" variant="link" @click="guestMode">{{_('Перейти')}}</b-button>
    </div>
  </div>
</template>

<script>
import LoginForm from '../components/Login'
import { AUTH_GUEST } from '../data/actions-types'

export default {
  name: 'LoginPage',
  components: {
    LoginForm
  },
  methods: {
    guestMode () {
      this.$store.dispatch(AUTH_GUEST)
    }
  }
}
</script>

<style lang="scss" scoped>
.wrapper {
  align-items: center;
  background-color: #e2e2e2;
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: center;

  .content {
    align-items: center;
    background-color: #fff;
    border-radius: 4px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 48px 24px;
    text-align: center;
    width: 400px;
  }

  form {
    display: flex;
    flex-direction: column;
    margin: 24px 16px 16px;

    input, button {
      margin-top: 8px;
    }
  }

  .separator {
    border-top: 1px solid #e2e2e2;
    display: flex;
    justify-content: center;
    margin: 0 0 24px;
    position: relative;
    width: 200px;

    &:after {
      background-color: #e2e2e2;
      border-radius: 2em;
      box-shadow: 0 0 8px 8px #fff;
      content: '';
      height: 5px;
      margin-top: -3px;
      position: absolute;
      width: 5px;
    }
  }

  .sm {
    font-size: .8rem;
  }
}
</style>
